{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.heyhe_chicken": {
      "initial_state": "idle",
      "states": {
        "idle": {
          "animations": ["idle"],
          "transitions": [
            { "walking": "query.modified_move_speed > 0.05" },
            { "sitting": "query.property('silverlabs:heyhe_sitting')" }
          ]
        },
        "walking": {
          "animations": ["walk"],
          "transitions": [
            { "idle": "query.modified_move_speed <= 0.05" },
            { "sitting": "query.property('silverlabs:heyhe_sitting')" }
          ]
        },
        "sitting": {
          "animations": ["sit"],
          "transitions": [
            { "idle": "!query.property('silverlabs:heyhe_sitting')" }
          ]
        }
      }
    }
  }
}
